summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-08-04 10:13:28 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-08-04 10:13:28 -0400
commitae185dc3b18d470c664bc80b10ae797ec42786a8 (patch)
treee434ff9aa4e9be14a4d64a393cf5d47d005611dd /.local
parent20a03e90626f299218c497b9f407a779c8a6220c (diff)
parent4589bb0a8b04473ccc0c027c0ba835acdf289689 (diff)
downloadeibhear-ae185dc3b18d470c664bc80b10ae797ec42786a8.tar.gz
eibhear-ae185dc3b18d470c664bc80b10ae797ec42786a8.tar.zst
eibhear-ae185dc3b18d470c664bc80b10ae797ec42786a8.zip
Merge branch 'master' of github.com:LukeSmithxyz/voidrice into master
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/camtoggle2
-rwxr-xr-x.local/bin/dmenumountcifs4
-rwxr-xr-x.local/bin/ifinstalled2
-rwxr-xr-x.local/bin/statusbar/kbselect6
4 files changed, 7 insertions, 7 deletions
diff --git a/.local/bin/camtoggle b/.local/bin/camtoggle
index 05679c0..d29a8b4 100755
--- a/.local/bin/camtoggle
+++ b/.local/bin/camtoggle
@@ -1,2 +1,2 @@
#!/bin/sh
-pkill -f /dev/video || mpv --no-osc --no-input-default-bindings --input-conf=/dev/null --geometry=-0-0 --autofit=30% --title="mpvfloat" /dev/video0
+pkill -f /dev/video || mpv --no-osc --no-input-default-bindings --input-conf=/dev/null --geometry=-0-0 --autofit=30% --title="mpvfloat" --profile=low-latency --untimed /dev/video0
diff --git a/.local/bin/dmenumountcifs b/.local/bin/dmenumountcifs
index 99be72f..46c2b57 100755
--- a/.local/bin/dmenumountcifs
+++ b/.local/bin/dmenumountcifs
@@ -1,5 +1,5 @@
#!/bin/sh
-# Gives a dmenu prompt to mount unmounted local NAS shares.
+# Gives a dmenu prompt to mount unmounted local NAS shares for read/write.
# Requirements - "%wheel ALL=(ALL) NOPASSWD: ALL"
#
# Browse for mDNS/DNS-SD services using the Avahi daemon...
@@ -12,7 +12,7 @@ share2mnt=//"$srvname".local/"$share"
sharemount() {
mounted=$(mount -v | grep "$share2mnt") || ([ ! -d /mnt/"$share" ] && sudo mkdir /mnt/"$share")
- [ -z "$mounted" ] && sudo mount -t cifs "$share2mnt" -o user=nobody,password="" /mnt/"$share" && notify-send "Netshare $share mounted" && exit 0
+ [ -z "$mounted" ] && sudo mount -t cifs "$share2mnt" -o user=nobody,password="",noperm /mnt/"$share" && notify-send "Netshare $share mounted" && exit 0
notify-send "Netshare $share already mounted"; exit 1
}
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index e2013a4..be3ac24 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -6,6 +6,6 @@
# various other scripts for clarity's sake.
for x in "$@";do
- pacman -Qq "$x" 2>/dev/null ||
+ pacman -Qq "$x" >/dev/null 2>&1 ||
{ notify-send "📦 $x" "must be installed for this function." && exit 1 ;}
done
diff --git a/.local/bin/statusbar/kbselect b/.local/bin/statusbar/kbselect
index d7313c6..f0c923f 100755
--- a/.local/bin/statusbar/kbselect
+++ b/.local/bin/statusbar/kbselect
@@ -1,14 +1,14 @@
#!/bin/sh
# works on any init system
-# requirements: dmenu, xorg-setxkbmap, xkblayout-state (https://github.com/nonpop/xkblayout-state)
-kb="$(xkblayout-state print "%s")" || exit 1
+# requirements: dmenu, xorg-setxkbmap
+kb="$(setxkbmap -query | grep -oP 'layout:\s*\K\w+')" || exit 1
case $BLOCK_BUTTON in
1) kb_choice="$(awk '/! layout/{flag=1; next} /! variant/{flag=0} flag {print $2, "- " $1}' /usr/share/X11/xkb/rules/base.lst | dmenu -l 15)"
kb="$(echo "$kb_choice" | awk '{print $3}')"
setxkbmap "$kb"
pkill -RTMIN+30 "${STATUSBAR:-dwmblocks}";;
- 3) notify-send "⌨ Keyboard/language module" "$(xkblayout-state print "\- Current layout: %s (%n)")
+ 3) notify-send "⌨ Keyboard/language module" "$(printf "%s" "\- Current layout: $(setxkbmap -query | grep -oP 'layout:\s*\K\w+')")
- Left click to change keyboard.";;
6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac